Subject: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Oct 2023 09:35:42 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   [email-masked],  [email-masked],
>   [email-masked]
> Date: Thu, 26 Oct 2023 02:31:57 +0200
> 
> Dmitry Gutov <[email-masked]> writes:
> 
> > There will be such users, but their number will likely be lower than
> > some might expect, simply because the lexical dialect very much
> > resembles how programs are written in other languages these days.
> 
> Short version of my reply: Emacs users are a different group than Elisp
> package developers.  Let's help them by forcing a lexical binding cookie
> in the config file instead of simply making their Emacs potentially not
> starting up.

If this is about init files, we could instead make processing init
files assume lexical-binding by default.